}
Authorize payment with token
PUT https://checkout-eu-a.paysera.com/checkout/rest/v1/payment-requests/{id}/authorize
Authorize and capture a payment using a stored recurring billing token.
This endpoint is used for automated recurring charges. The token must be obtained from a previous successful payment with user interaction.
Authorization​
This endpoint requires MAC (Message Authentication Code) authentication.
Authorization Header Format:
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"
Example:
Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"
For more details, see the Authentication section.
Parameters​
Path Parameters​
| Name | Type | Required | Description |
|---|---|---|---|
id | string | ✓ | Payment request ID to authorize |
Request Body​
| Field | Type | Required | Description |
|---|---|---|---|
token | string | ✓ | Recurring billing token obtained from initial payment |
Example​
Request​
PUT https://checkout-eu-a.paysera.com/checkout/rest/v1/payment-requests/{id}/authorize
Content-Type: application/json
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"
{
"token": "vLUGdTtnDjQs7Yv0fjYQyYfG60m"
}
Response​
{
"id": "def456payment",
"status": "captured",
"order_id": "SUB_12345_MONTH_2",
"price_paid": {
"amount": 999,
"currency": "EUR"
},
"payer": {
"email": "customer@example.com",
"name": "John",
"surname": "Doe",
"account_number": "EVP1234567"
},
"captured_at": "2025-12-15T11:45:30Z"
}
AUTHORIZATION: HTTP
REQUEST
Base URL
https://checkout-eu-a.paysera.com
Body REQUIRED
{
"token": "vLUGdTtnDjQs7Yv0fjYQyYfG60m"
}
RESPONSE
Payment authorized and captured successfully
{
"id": "def456payment",
"status": "captured",
"order_id": "SUB_12345_MONTH_2",
"price_paid": {
"amount": 999,
"currency": "EUR"
},
"payer": {
"email": "customer@example.com",
"name": "John",
"surname": "Doe",
"account_number": "EVP1234567"
},
"captured_at": "2025-12-15T11:45:30Z"
}